package domain

type AlibabaHmMarketingFullrangeQueryactivityMarketResult struct {
	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   返回活动信息     */
	Data *AlibabaHmMarketingFullrangeQueryactivityItemPoolActivity `json:"data,omitempty" `

	/*
	   查询商品是否成功     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `
}

func (s *AlibabaHmMarketingFullrangeQueryactivityMarketResult) SetErrorCode(v string) *AlibabaHmMarketingFullrangeQueryactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryactivityMarketResult) SetData(v AlibabaHmMarketingFullrangeQueryactivityItemPoolActivity) *AlibabaHmMarketingFullrangeQueryactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryactivityMarketResult) SetSuccess(v bool) *AlibabaHmMarketingFullrangeQueryactivityMarketResult {
	s.Success = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeQueryactivityMarketResult) SetMessage(v string) *AlibabaHmMarketingFullrangeQueryactivityMarketResult {
	s.Message = &v
	return s
}
